<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_h"></a>- h -</h3><ul>
<li>hasArgumentExpanion
: <a class="el" href="struct_res_loc_pairs_per_node.html#a1e557b7af99eef66f833ffbd32ef8e41">ResLocPairsPerNode</a>
</li>
<li>hasBeginEnd
: <a class="el" href="struct_beg_end_decomposed_loc.html#a915191cc5709e749bef3feb7dda64d54">BegEndDecomposedLoc</a>
</li>
<li>hasConcatenatedTokens
: <a class="el" href="struct_res_loc_pairs_per_node.html#a74379f26a5c424b9cb29e1cdc5048f79">ResLocPairsPerNode</a>
</li>
<li>hasExpansionPairInMacro
: <a class="el" href="struct_expansion_information.html#aa96f3eced1353806080fd01a40928f80">ExpansionInformation</a>
</li>
<li>hasGlobalLHS
: <a class="el" href="struct_binary_op_properties.html#a1396f88754a6afd9de9765b10f52df2f">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#ab656c923dd5ef79a507a431dcbdfd7e8">BinaryOpPropertiesLight</a>
, <a class="el" href="struct_node_hierarchy.html#a1206777cfac00bec59be3f6d6174c054">NodeHierarchy</a>
</li>
<li>hasGlobalStorage
: <a class="el" href="struct_var_decl_properties.html#a5552839197deff5bda4a449a40cb07a1">VarDeclProperties</a>
</li>
<li>hasLocalStorage
: <a class="el" href="struct_var_decl_properties.html#acd5449c75601118681291dc9f0ed104b">VarDeclProperties</a>
</li>
<li>hasMacroAtBegin
: <a class="el" href="struct_beg_end_decomposed_loc.html#af6ee275ffb92659d00c4f2a076e70b80">BegEndDecomposedLoc</a>
</li>
<li>hasMacroAtEnd
: <a class="el" href="struct_beg_end_decomposed_loc.html#a0916f446accca958b92ccd14610c430e">BegEndDecomposedLoc</a>
</li>
<li>hasSpellPairForASTnode
: <a class="el" href="struct_beg_end_decomposed_loc.html#af79c3560c1e42fe65c30b784d61054d4">BegEndDecomposedLoc</a>
</li>
<li>history
: <a class="el" href="structbson_docu_strct.html#aa6ea81c5be3c41df94b6ae31bf5d3f4c">bsonDocuStrct</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
